Subject: RE: [ietf-provreg] EPP over UDP for Domain Availability Checking?

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Oct 2003 07:27:18 -0400

> First, one has to presume that this is external to the PROVREG WG
> effort.  (The charter would forbid it on a number of grounds.) 
> Nevertheless, this ought to be considered - and recall that this list
> will outlive the WG.  (It's not a matter of scope for the list.)

Right -- I just figured that there are people on the list who might have an
interest in the topic.

> Who gets to be the client?  I would assume there are a lot more who
> would want this data than just the registrars.
> 
> How does this fit next to what the CRISP WG is chartered to do?  The
> difference between transports (UDP vs. connection oriented) is
> significant.

This is something that would need to be looked at.  Andy and I had a chance
to talk live yesterday; I think we both believe that there might be some use
cases that avoid an intersection with CRISP.  There _might_ be for a
registry that wants to deploy both protocols.  At a minimum, a light EPP UDP
<check> might be a useful feature for a registry that wants to deploy EPP,
but not the CRISP protocol.

Anyway, it's something to talk about over a beer in Minneapolis.

-Scott-

From: "Hollenbeck, Scott" <[email-masked]>
To: "'Ed Lewis'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Subject: RE: [ietf-provreg] EPP over UDP for Domain Availability Checking?
Date: Tue, 21 Oct 2003 07:27:18 -0400
Sender: [email-masked]

> First, one has to presume that this is external to the PROVREG WG
> effort.  (The charter would forbid it on a number of grounds.) 
> Nevertheless, this ought to be considered - and recall that this list
> will outlive the WG.  (It's not a matter of scope for the list.)

Right -- I just figured that there are people on the list who might have an
interest in the topic.

> Who gets to be the client?  I would assume there are a lot more who
> would want this data than just the registrars.
> 
> How does this fit next to what the CRISP WG is chartered to do?  The
> difference between transports (UDP vs. connection oriented) is
> significant.

This is something that would need to be looked at.  Andy and I had a chance
to talk live yesterday; I think we both believe that there might be some use
cases that avoid an intersection with CRISP.  There _might_ be for a
registry that wants to deploy both protocols.  At a minimum, a light EPP UDP
<check> might be a useful feature for a registry that wants to deploy EPP,
but not the CRISP protocol.

Anyway, it's something to talk about over a beer in Minneapolis.

-Scott-

Date: Mon, 20 Oct 2003 16:27:58 -0400
From: Andrew Newton <[email-masked]>
To: Ed Lewis <[email-masked]>
CC: [email-masked]
Subject: Re: [ietf-provreg] EPP over UDP for Domain Availability Checking?
Sender: [email-masked]

Ed Lewis wrote:
> 
> How does this fit next to what the CRISP WG is chartered to do?  The
> difference between transports (UDP vs. connection oriented) is
> significant.

I have asked for time to present a udp transport for IRIS in the CRISP 
working group in Minneapolis.  One of the uses could be for domain 
availability.

-andy

Subject: Re: [ietf-provreg] EPP over UDP for Domain Availability Checking?
From: Ed Lewis <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 20 Oct 2003 15:35:06 -0400
Sender: [email-masked]

First, one has to presume that this is external to the PROVREG WG
effort.  (The charter would forbid it on a number of grounds.) 
Nevertheless, this ought to be considered - and recall that this list
will outlive the WG.  (It's not a matter of scope for the list.)

Congestion control was one of the issues that we (PROVREG WG) got hit
with (in the IESG comments).  But with this being UDP, I don't think
that congestion is a concern.  (UDP is UDP, no retransmission.  Unless
something else is screwed up in design - no amplification of traffic
load.)

Who gets to be the client?  I would assume there are a lot more who
would want this data than just the registrars.

How does this fit next to what the CRISP WG is chartered to do?  The
difference between transports (UDP vs. connection oriented) is
significant.

On Mon, 2003-10-20 at 12:38, Jens Wagner wrote:
> Hollenbeck, Scott wrote:
> 
> >I just spent a few minutes writing client and server software in perl to
> >send and receive EPP <check> commands and responses.  It's very doable.
> >Does anyone think that they might find it useful to have a documented way to
> >use EPP over UDP for domain availability checking?
> >
> >I'm thinking that registries might find it useful to provide a UDP service
> >for high-volume, no-session-required domain checking.  People that want only
> >availability information might find a UDP-based client more useful than
> >whois.
> >
> >-Scott-
> >  
> >
> Sure, but this does also simplify DoS attacks against registries that 
> have to perform availability checks using their SQL backend. But it 
> cannot hurt to have such a spec handy, even if for internal purposes 
> only :-)
> 
> Best regards,
> -jens

Date: Mon, 20 Oct 2003 18:38:47 +0200
From: Jens Wagner <[email-masked]>
To: "Hollenbeck, Scott" <[email-masked]>
CC: "[email-masked]'" <[email-masked]>
Subject: Re: [ietf-provreg] EPP over UDP for Domain Availability Checking?
Sender: [email-masked]

Hollenbeck, Scott wrote:

>I just spent a few minutes writing client and server software in perl to
>send and receive EPP <check> commands and responses.  It's very doable.
>Does anyone think that they might find it useful to have a documented way to
>use EPP over UDP for domain availability checking?
>
>I'm thinking that registries might find it useful to provide a UDP service
>for high-volume, no-session-required domain checking.  People that want only
>availability information might find a UDP-based client more useful than
>whois.
>
>-Scott-
>  
>
Sure, but this does also simplify DoS attacks against registries that 
have to perform availability checks using their SQL backend. But it 
cannot hurt to have such a spec handy, even if for internal purposes 
only :-)

Best regards,
-jens

From: "Hollenbeck, Scott" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Subject: [ietf-provreg] EPP over UDP for Domain Availability Checking?
Date: Mon, 20 Oct 2003 11:33:53 -0400
Sender: [email-masked]

I just spent a few minutes writing client and server software in perl to
send and receive EPP <check> commands and responses.  It's very doable.
Does anyone think that they might find it useful to have a documented way to
use EPP over UDP for domain availability checking?

I'm thinking that registries might find it useful to provide a UDP service
for high-volume, no-session-required domain checking.  People that want only
availability information might find a UDP-based client more useful than
whois.

-Scott-

From: "Hollenbeck, Scott" <[email-masked]>
To: "'janusz sienkiewicz'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Subject: RE: [ietf-provreg] optional elements and server policy
Date: Thu, 9 Oct 2003 11:47:06 -0400 
Sender: [email-masked]

> -----Original Message-----
> From: janusz sienkiewicz [mailto:[email-masked]] 
> Sent: Thursday, October 09, 2003 11:06 AM
> To: [email-masked]
> Subject: [ietf-provreg] optional elements and server policy
> 
> 
> There are cases when policy requirements require an epp server
> implementation to treat an OPTIONAL request element as mandatory. If
> such OPTIONAL element is not provided the server could return 2308
> error code ("Data management policy violation").
> 
> Is such a treatment of an OPTIONAL element a violation  of 
> epp protocol?

Personally, I don't think so.  The 2308 error code exists to make the
situation you described obvious.

-Scott-

Date: Thu, 09 Oct 2003 11:06:20 -0400
From: janusz sienkiewicz <[email-masked]>
Organization: LibertyRMS Co.
To: [email-masked]
Subject: [ietf-provreg] optional elements and server policy
Sender: [email-masked]

There are cases when policy requirements require an epp server
implementation to treat an OPTIONAL request element as mandatory. If
such OPTIONAL element is not provided the server could return 2308
error code ("Data management policy violation").

Is such a treatment of an OPTIONAL element a violation  of epp protocol?

Janusz Sienkiewicz